$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.5-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.5-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F955FDB0A4A086B5277AB7F48E90CAA02DA286CEEEABC44C8250CDFB9812EF0F'
  checksumType = 'sha256'
  checksum64 = 'F955FDB0A4A086B5277AB7F48E90CAA02DA286CEEEABC44C8250CDFB9812EF0F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.29.5-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
